package com.xmomen.module.receipt.entity;

import com.xmomen.framework.mybatis.model.BaseMybatisExample;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

// 定义一个名为TbReceivingCodeRequestExample的类，继承自BaseMybatisExample
public class TbReceivingCodeRequestExample extends BaseMybatisExample {
    // 定义一个orderByClause变量，用于存储排序字段
    protected String orderByClause;

    // 定义一个distinct变量，用于存储是否去重
    protected boolean distinct;

    // 定义一个oredCriteria变量，用于存储查询条件
    protected List<Criteria> oredCriteria;

    // 构造函数，初始化oredCriteria
    public TbReceivingCodeRequestExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    // 设置orderByClause的值
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    // 获取orderByClause的值
    public String getOrderByClause() {
        return orderByClause;
    }

    // 设置distinct的值
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    // 获取distinct的值
    public boolean isDistinct() {
        return distinct;
    }

    // 获取oredCriteria的值
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    // 添加一个查询条件
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    // 创建一个查询条件
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    // 创建一个查询条件
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    // 创建一个查询条件
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    // 清空查询条件
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    // 定义一个内部类GeneratedCriteria，用于存储查询条件
    protected abstract static class GeneratedCriteria {
        // 定义一个criteria变量，用于存储查询条件
        protected List<Criterion> criteria;

        // 构造函数，初始化criteria
        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        // 判断查询条件是否有效
        public boolean isValid() {
            return criteria.size() > 0;
        }

        // 获取所有查询条件
        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        // 获取查询条件
        public List<Criterion> getCriteria() {
            return criteria;
        }

        // 添加一个查询条件
        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        // 添加一个查询条件
        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        // 添加一个查询条件
        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        // 判断id是否为空
        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        // 判断id是否不为空
        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        // 判断id是否等于某个值
        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        // 判断id是否不等于某个值
        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        // 判断id是否大于某个值
        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        // 判断id是否大于等于某个值
        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        // 判断id是否小于某个值
        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        // 判断id是否小于等于某个值
        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        // 判断id是否在某个范围内
        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        // 判断id是否不在某个范围内
        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        // 判断id是否在某个范围内
        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断id是否不在某个范围内
        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断orderNo是否为空
        public Criteria andOrderNoIsNull() {
            addCriterion("order_no is null");
            return (Criteria) this;
        }

        // 判断orderNo是否不为空
        public Criteria andOrderNoIsNotNull() {
            addCriterion("order_no is not null");
            return (Criteria) this;
        }

        // 判断orderNo是否等于某个值
        public Criteria andOrderNoEqualTo(String value) {
            addCriterion("order_no =", value, "orderNo");
            return (Criteria) this;
        }

        // 判断orderNo是否不等于某个值
        public Criteria andOrderNoNotEqualTo(String value) {
            addCriterion("order_no <>", value, "orderNo");
            return (Criteria) this;
        }

        // 判断orderNo是否大于某个值
        public Criteria andOrderNoGreaterThan(String value) {
            addCriterion("order_no >", value, "orderNo");
            return (Criteria) this;
        }

        // 判断orderNo是否大于等于某个值
        public Criteria andOrderNoGreaterThanOrEqualTo(String value) {
            addCriterion("order_no >=", value, "orderNo");
            return (Criteria) this;
        }

        // 判断orderNo是否小于某个值
        public Criteria andOrderNoLessThan(String value) {
            addCriterion("order_no <", value, "orderNo");
            return (Criteria) this;
        }

        // 判断orderNo是否小于等于某个值
        public Criteria andOrderNoLessThanOrEqualTo(String value) {
            addCriterion("order_no <=", value, "orderNo");
            return (Criteria) this;
        }

        // 判断orderNo是否包含某个值
        public Criteria andOrderNoLike(String value) {
            addCriterion("order_no like", value, "orderNo");
            return (Criteria) this;
        }

        // 判断orderNo是否不包含某个值
        public Criteria andOrderNoNotLike(String value) {
            addCriterion("order_no not like", value, "orderNo");
            return (Criteria) this;
        }

        // 判断orderNo是否在某个范围内
        public Criteria andOrderNoIn(List<String> values) {
            addCriterion("order_no in", values, "orderNo");
            return (Criteria) this;
        }

        // 判断orderNo是否不在某个范围内
        public Criteria andOrderNoNotIn(List<String> values) {
            addCriterion("order_no not in", values, "orderNo");
            return (Criteria) this;
        }

        // 判断orderNo是否在某个范围内
        public Criteria andOrderNoBetween(String value1, String value2) {
            addCriterion("order_no between", value1, value2, "orderNo");
            return (Criteria) this;
        }

        // 判断orderNo是否不在某个范围内
        public Criteria andOrderNoNotBetween(String value1, String value2) {
            addCriterion("order_no not between", value1, value2, "orderNo");
            return (Criteria) this;
        }

        // 判断requestUser是否为空
        public Criteria andRequestUserIsNull() {
            addCriterion("request_user is null");
            return (Criteria) this;
        }

        // 判断requestUser是否不为空
        public Criteria andRequestUserIsNotNull() {
            addCriterion("request_user is not null");
            return (Criteria) this;
        }

        // 判断requestUser是否等于某个值
        public Criteria andRequestUserEqualTo(String value) {
            addCriterion("request_user =", value, "requestUser");
            return (Criteria) this;
        }

        // 判断requestUser是否不等于某个值
        public Criteria andRequestUserNotEqualTo(String value) {
            addCriterion("request_user <>", value, "requestUser");
            return (Criteria) this;
        }

        // 判断requestUser是否大于某个值
        public Criteria andRequestUserGreaterThan(String value) {
            addCriterion("request_user >", value, "requestUser");
            return (Criteria) this;
        }

        // 判断requestUser是否大于等于某个值
        public Criteria andRequestUserGreaterThanOrEqualTo(String value) {
            addCriterion("request_user >=", value, "requestUser");
            return (Criteria) this;
        }

        // 判断requestUser是否小于某个值
        public Criteria andRequestUserLessThan(String value) {
            addCriterion("request_user <", value, "requestUser");
            return (Criteria) this;
        }

        // 判断requestUser是否小于等于某个值
        public Criteria andRequestUserLessThanOrEqualTo(String value) {
            addCriterion("request_user <=", value, "requestUser");
            return (Criteria) this;
        }

        // 判断requestUser是否包含某个值
        public Criteria andRequestUserLike(String value) {
            addCriterion("request_user like", value, "requestUser");
            return (Criteria) this;
        }

        // 判断requestUser是否不包含某个值
        public Criteria andRequestUserNotLike(String value) {
            addCriterion("request_user not like", value, "requestUser");
            return (Criteria) this;
        }

        // 判断requestUser是否在某个范围内
        public Criteria andRequestUserIn(List<String> values) {
            addCriterion("request_user in", values, "requestUser");
            return (Criteria) this;
        }

        // 判断requestUser是否不在某个范围内
        public Criteria andRequestUserNotIn(List<String> values) {
            addCriterion("request_user not in", values, "requestUser");
            return (Criteria) this;
        }

        // 判断requestUser是否在某个范围内
        public Criteria andRequestUserBetween(String value1, String value2) {
            addCriterion("request_user between", value1, value2, "requestUser");
            return (Criteria) this;
        }

        // 判断requestUser是否不在某个范围内
        public Criteria andRequestUserNotBetween(String value1, String value2) {
            addCriterion("request_user not between", value1, value2, "requestUser");
            return (Criteria) this;
        }

        // 判断requestTime是否为空
        public Criteria andRequestTimeIsNull() {
            addCriterion("request_time is null");
            return (Criteria) this;
        }

        // 判断requestTime是否不为空
        public Criteria andRequestTimeIsNotNull() {
            addCriterion("request_time is not null");
            return (Criteria) this;
        }

        // 判断requestTime是否等于某个值
        public Criteria andRequestTimeEqualTo(Date value) {
            addCriterion("request_time =", value, "requestTime");
            return (Criteria) this;
        }

        // 判断requestTime是否不等于某个值
        public Criteria andRequestTimeNotEqualTo(Date value) {
            addCriterion("request_time <>", value, "requestTime");
            return (Criteria) this;
        }

        // 判断requestTime是否大于某个值
        public Criteria andRequestTimeGreaterThan(Date value) {
            addCriterion("request_time >", value, "requestTime");
            return (Criteria) this;
        }

        // 判断requestTime是否大于等于某个值
        public Criteria andRequestTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("request_time >=", value, "requestTime");
            return (Criteria) this;
        }

        // 判断requestTime是否小于某个值
        public Criteria andRequestTimeLessThan(Date value) {
            addCriterion("request_time <", value, "requestTime");
            return (Criteria) this;
        }

        // 判断requestTime是否小于等于某个值
        public Criteria andRequestTimeLessThanOrEqualTo(Date value) {
            addCriterion("request_time <=", value, "requestTime");
            return (Criteria) this;
        }

        // 判断requestTime是否在某个范围内
        public Criteria andRequestTimeIn(List<Date> values) {
            addCriterion("request_time in", values, "requestTime");
            return (Criteria) this;
        }

        // 判断requestTime是否不在某个范围内
        public Criteria andRequestTimeNotIn(List<Date> values) {
            addCriterion("request_time not in", values, "requestTime");
            return (Criteria) this;
        }

        // 判断requestTime是否在某个范围内
        public Criteria andRequestTimeBetween(Date value1, Date value2) {
            addCriterion("request_time between", value1, value2, "requestTime");
            return (Criteria) this;
        }

        // 判断requestTime是否不在某个范围内
        public Criteria andRequestTimeNotBetween(Date value1, Date value2) {
            addCriterion("request_time not between", value1, value2, "requestTime");
            return (Criteria) this;
        }

        // 判断requestPhone是否为空
        public Criteria andRequestPhoneIsNull() {
            addCriterion("request_phone is null");
            return (Criteria) this;
        }

        // 判断requestPhone是否不为空
        public Criteria andRequestPhoneIsNotNull() {
            addCriterion("request_phone is not null");
            return (Criteria) this;
        }

        // 判断requestPhone是否等于某个值
        public Criteria andRequestPhoneEqualTo(String value) {
            addCriterion("request_phone =", value, "requestPhone");
            return (Criteria) this;
        }

        // 判断requestPhone是否不等于某个值
        public Criteria andRequestPhoneNotEqualTo(String value) {
            addCriterion("request_phone <>", value, "requestPhone");
            return (Criteria) this;
        }

        // 判断requestPhone是否大于某个值
        public Criteria andRequestPhoneGreaterThan(String value) {
            addCriterion("request_phone >", value, "requestPhone");
            return (Criteria) this;
        }

        // 判断requestPhone是否大于等于某个值
        public Criteria andRequestPhoneGreaterThanOrEqualTo(String value) {
            addCriterion("request_phone >=", value, "requestPhone");
            return (Criteria) this;
        }

        // 判断requestPhone是否小于某个值
        public Criteria andRequestPhoneLessThan(String value) {
            addCriterion("request_phone <", value, "requestPhone");
            return (Criteria) this;
        }

        // 判断requestPhone是否小于等于某个值
        public Criteria andRequestPhoneLessThanOrEqualTo(String value) {
            addCriterion("request_phone <=", value, "requestPhone");
            return (Criteria) this;
        }

        // 判断requestPhone是否包含某个值
        public Criteria andRequestPhoneLike(String value) {
            addCriterion("request_phone like", value, "requestPhone");
            return (Criteria) this;
        }

        // 判断requestPhone是否不包含某个值
        public Criteria andRequestPhoneNotLike(String value) {
            addCriterion("request_phone not like", value, "requestPhone");
            return (Criteria) this;
        }

        // 判断requestPhone是否在某个范围内
        public Criteria andRequestPhoneIn(List<String> values) {
            addCriterion("request_phone in", values, "requestPhone");
            return (Criteria) this;
        }

        // 判断requestPhone是否不在某个范围内
        public Criteria andRequestPhoneNotIn(List<String> values) {
            addCriterion("request_phone not in", values, "requestPhone");
            return (Criteria) this;
        }

        // 判断requestPhone是否在某个范围内
        public Criteria andRequestPhoneBetween(String value1, String value2) {
            addCriterion("request_phone between", value1, value2, "requestPhone");
            return (Criteria) this;
        }

        // 判断requestPhone是否不在某个范围内
        public Criteria andRequestPhoneNotBetween(String value1, String value2) {
            addCriterion("request_phone not between", value1, value2, "requestPhone");
            return (Criteria) this;
        }

        // 判断requestExpressId是否为空
        public Criteria andRequestExpressIdIsNull() {
            addCriterion("request_express_id is null");
            return (Criteria) this;
        }

        // 判断requestExpressId是否不为空
        public Criteria andRequestExpressIdIsNotNull() {
            addCriterion("request_express_id is not null");
            return (Criteria) this;
        }

        // 判断requestExpressId是否等于某个值
        public Criteria andRequestExpressIdEqualTo(Integer value) {
            addCriterion("request_express_id =", value, "requestExpressId");
            return (Criteria) this;
        }

        // 判断requestExpressId是否不等于某个值
        public Criteria andRequestExpressIdNotEqualTo(Integer value) {
            addCriterion("request_express_id <>", value, "requestExpressId");
            return (Criteria) this;
        }

        // 判断requestExpressId是否大于某个值
        public Criteria andRequestExpressIdGreaterThan(Integer value) {
            addCriterion("request_express_id >", value, "requestExpressId");
            return (Criteria) this;
        }

        // 判断requestExpressId是否大于等于某个值
        public Criteria andRequestExpressIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("request_express_id >=", value, "requestExpressId");
            return (Criteria) this;
        }

        // 判断requestExpressId是否小于某个值
        public Criteria andRequestExpressIdLessThan(Integer value) {
            addCriterion("request_express_id <", value, "requestExpressId");
            return (Criteria) this;
        }

        public Criteria andRequestExpressIdLessThanOrEqualTo(Integer value) {
            addCriterion("request_express_id <=", value, "requestExpressId");
            return (Criteria) this;
        }

        public Criteria andRequestExpressIdIn(List<Integer> values) {
            addCriterion("request_express_id in", values, "requestExpressId");
            return (Criteria) this;
        }

        public Criteria andRequestExpressIdNotIn(List<Integer> values) {
            addCriterion("request_express_id not in", values, "requestExpressId");
            return (Criteria) this;
        }

        public Criteria andRequestExpressIdBetween(Integer value1, Integer value2) {
            addCriterion("request_express_id between", value1, value2, "requestExpressId");
            return (Criteria) this;
        }

        public Criteria andRequestExpressIdNotBetween(Integer value1, Integer value2) {
            addCriterion("request_express_id not between", value1, value2, "requestExpressId");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}